[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TRegion.Destroy

Destructor for the class instance.

## Declaration

Source position: graphics.pp line 778

`public destructor TRegion.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. It calls FreeReference to free resources allocated for the Reference, and calls the inherited destructor prior to exit.

## See also

TPersistent.Destroy